Bug 995337 - [abrt] gnome-abrt-0.3.0-3.fc19: problems.py:160:__getitem__:TypeError: float() argument must be a string or a number
[abrt] gnome-abrt-0.3.0-3.fc19: problems.py:160:__getitem__:TypeError: float(...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:c4bc43dc3905617593d02692357...
:
Depends On:
Blocks: 996392
  Show dependency treegraph
 
Reported: 2013-08-09 02:35 EDT by James Haydon
Modified: 2016-11-30 19:44 EST (History)
3 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-14 20:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.05 KB, text/plain)
2013-08-09 02:35 EDT, James Haydon
no flags Details
File: environ (2.07 KB, text/plain)
2013-08-09 02:35 EDT, James Haydon
no flags Details

  None (edit)
Description James Haydon 2013-08-09 02:35:48 EDT
Version-Release number of selected component:
gnome-abrt-0.3.0-3.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        python /usr/bin/gnome-abrt -p /home/james/.cache/abrt/spool/oops-2013-08-09-02:23:08-2679-0
executable:     /usr/bin/gnome-abrt
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
problems.py:160:__getitem__:TypeError: float() argument must be a string or a number

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 329, in _on_source_btn_clicked
    res, old_source = self._switch_source(btn.source)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 351, in _switch_source
    self._reload_problems(source)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 473, in _reload_problems
    storage_problems.append(problem_to_storage_values(p))
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 86, in problem_to_storage_values
    "{0!s}\n{1!s}".format(fancydate(problem['date_last']),
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 160, in __getitem__
    return datetime.datetime.fromtimestamp(float(self['time']))
TypeError: float() argument must be a string or a number

Local variables in innermost frame:
cached: True
item: 'date_last'
self: <gnome_abrt.problems.Problem instance at 0x2611ea8>
last_ocr: None
Comment 1 James Haydon 2013-08-09 02:35:52 EDT
Created attachment 784730 [details]
File: backtrace
Comment 2 James Haydon 2013-08-09 02:35:55 EDT
Created attachment 784732 [details]
File: environ
Comment 3 Jakub Filak 2013-08-09 04:08:34 EDT
A patch fixing this bug report has been submitted for review:
https://lists.fedorahosted.org/pipermail/crash-catcher/2013-August/005162.html
Comment 4 Jakub Filak 2013-08-09 06:58:31 EDT
Fixed in upstream git:

commit 9669676a9a54502070d4aef1edfb55d4ae877f19
Author: Jakub Filak <jfilak@redhat.com>
Date:   Fri Aug 9 09:41:39 2013 +0200

    Recover from invalid time stamp values
    
    Closes rhbz#995337
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Richard Marko <rmarko@fedoraproject.org>
Comment 5 Fedora Update System 2013-09-13 09:10:45 EDT
gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19
Comment 6 Fedora Update System 2013-09-13 22:40:28 EDT
Package gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.1-1.fc19 abrt-2.1.7-1.fc19 libreport-2.1.7-1.fc19 satyr-0.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16707/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-14 20:55:45 EDT
gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.